package com.ejie.ab79.model.AB63;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ab79.comun.Constantes;

/**
 * TiposEstablecimiento  
 * 
 *  
 */

public class TiposEstablecimiento implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String idTipoEstablecimiento;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Integer baja;
	private String ordenacion;
	private String tipificacion;
	private String usuarioRegistro;
	private String usuarioUltmodificacion;

	public TiposEstablecimiento() {
	}

	public TiposEstablecimiento(String idTipoEstablecimiento) {
		this.idTipoEstablecimiento = idTipoEstablecimiento;
	}

	public TiposEstablecimiento(String idTipoEstablecimiento, String descripcionCastellano, Integer baja, String descripcionEuskera, String ordenacion, String tipificacion) {

		this.idTipoEstablecimiento = idTipoEstablecimiento;
		this.descripcionCastellano = descripcionCastellano;
		this.baja = baja;
		this.descripcionEuskera = descripcionEuskera;
		this.ordenacion = ordenacion;
		this.tipificacion = tipificacion;
	}

	public String getIdTipoEstablecimiento() {
		return this.idTipoEstablecimiento;
	}

	public void setIdTipoEstablecimiento(String idTipoEstablecimiento) {
		this.idTipoEstablecimiento = idTipoEstablecimiento;
	}

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	public Integer getBaja() {
		return this.baja;
	}

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	public String getOrdenacion() {
		return this.ordenacion;
	}

	public void setOrdenacion(String ordenacion) {
		this.ordenacion = ordenacion;
	}

	public String getTipificacion() {
		return this.tipificacion;
	}

	public void setTipificacion(String tipificacion) {
		this.tipificacion = tipificacion;
	}

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idTipoEstablecimiento: ").append(this.idTipoEstablecimiento).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ baja: ").append(this.baja).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ ordenacion: ").append(this.ordenacion).append(" ]");
		result.append(", [ tipificacion: ").append(this.tipificacion).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

	public String getDescripcionDecorator() {
		if (LocaleContextHolder.getLocale().getLanguage().equalsIgnoreCase(Constantes.CASTELLANO)) {
			return this.descripcionCastellano;
		} else {
			return this.descripcionEuskera;
		}
	}
}
